package com.MythiCode.ocrkit;

import android.widget.LinearLayout;
import android.widget.RelativeLayout;

import io.flutter.plugin.common.MethodChannel;

public interface CameraViewInterface {

    void initCamera(RelativeLayout relativeLayout, boolean hasBarcodeReader, char flashMode, boolean isFillScale);
    void setCameraVisible(boolean isCameraVisible);
    void changeFlashMode(char captureFlashMode);
    void takePicture(final MethodChannel.Result result);
    void pauseCamera();
    void resumeCamera();
    void dispose();

}
